Cómo saber si tu Linux es vulnerable a los fallos de seguridad Meltdown y Spectre
Fecha Friday, 12 January a las 11:03:03
Tema Suguridad Informática


Meltdown y Spectre, las dos pesadillas en materia de seguridad informática con las que hemos inaugurado el año, afectan por igual a los procesadores de Intel, AMD y ARM y, por tanto, a Windows, macOS y Linux. Los desarrolladores del kernel de Linux, de hecho, reaccionaron antes de que el hallazgo se hiciese público con el parche KPTI, antes conocido como KAISER, para Meltdown.

Estas vulnerabilidades, como hemos comentado a lo largo de diferentes artículos, permiten a los programas robar datos que se procesan en los equipos.

Meltdown únicamente afecta a los chips de Intel, facilitando la obtención datos de la memoria del sistema, mientras que Spectre suma a la lista de afectados los procesadores de AMD y ARM. En su caso, permite la entrada de otras aplicaciones a la memoria de la computadora, aunque es más difícil de explotar al mismo tiempo que más difícil de mitigar.

Los usuarios de Linux comenzaron a estar protegidos desde el principio

Según los investigadores, si unos atacantes aprovechasen estos fallos podrían extraer de los ordenadores contraseñas almacenadas, fotos, correos electrónicos, mensajes instantáneos e incluso documentos. Cabe destacar que la solución de la primera vulnerabilidad parece ser que implicaría una degradación del rendimiento y que de Spectre se han identificado dos variantes.

Guía para comprobar si Linux es vulnerable

Para comprobar si cualquiera de las vulnerabilidades afecta a una instalación GNU/Linux podemos emplear un sencillo shell script, que debe ejecutarse como superusuario, llamado Spectre & Meltdown Checker. El proceso tiene dos pasos.

Comenzamos obteniendo el código; lo podemos conseguir mediante el comando wget o el comando git. Son wget https://raw.githubusercontent.com/speed47/spectre-meltdown-checker/master/spectre-meltdown-checker.sh o git clone https://github.com/speed47/spectre-meltdown-checker.git. Tras introducir uno u otro, pulsamos la tecla intro. Ahora ejecutaremos el script usando el comando sudo o el comando su: escribimos sudo sh spectre-meltdown-checker.sh y pulsamos intro. En algunos casos será necesario instalar el paquete Binutils para que todas las comprobaciones puedan realizarse correctamente, paso que daremos daremos introduciendo la secuencia git clone git://sourceware.org/git/binutils-gdb.git.

Si todo ha ido como debía, obtendremos los resultados en la ventana del terminal.

Script Linux Consola Check Meltdown Spectre

Resultado del shell script tras comprobar las protecciones frente a Meltdown y Spectre en Linux. Como podemos observar, el script nos muestra de una manera sumamente ilustrativa si estamos protegidos frente a Meltdown y las dos variantes de Spectre Indicándonos detalladamente la habilitación o no de protecciones concretas y el estado general de protección en cada una de las amenazas identificadas como CVE-2017-5753, CVE-2017-5715 y CVE-2017-5754.

Si alguno de los valores muestra un "no" o los estados indican que el sistema es vulnerable a alguna de las amenazas, es imprescindible revisar qué actualizaciones tenemos disponibles para nuestro equipo e instalarlas lo más pronto posible para proteger el sistema.

Fuente: https://www.xataka.com/seguridad/como-actualizar-todos-tus-sistemas-operativos-y-navegadores-para-frenar-a-meltdown-y-spectre





Este artículo proviene de Software Libre
http://www.somoslibres.org

La dirección de esta noticia es:
http://www.somoslibres.org/modules.php?name=News&file=article&sid=7702